GET api/Negotiation?orderId={orderId}&productListId={productListId}&confirmed={confirmed}&custSupName={custSupName}&count={count}&selectedCurrency={selectedCurrency}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| orderId | integer |
Required |
|
| productListId | integer |
Required |
|
| confirmed | boolean |
Required |
|
| custSupName | string |
Required |
|
| count | integer |
Required |
|
| selectedCurrency | string |
Required |
Body Parameters
None.
Response Information
Resource Description
Collection of NegotiationViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| productId | integer |
None. |
|
| quantity | decimal number |
None. |
|
| negotiatedPricePerItem | decimal number |
None. |
|
| totalAmount | decimal number |
None. |
|
| status | string |
None. |
|
| negotiationDateTime | date |
None. |
|
| orderId | integer |
None. |
|
| date | string |
None. |
|
| time | string |
None. |
|
| customerSupplierId | integer |
None. |
|
| contactId | integer |
None. |
|
| cusomerSupplierName | string |
None. |
|
| contactName | string |
None. |
|
| orderlineTotalPercentage | decimal number |
None. |
|
| orderTotal | decimal number |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": 1,
"productId": 2,
"quantity": 1.0,
"negotiatedPricePerItem": 1.0,
"totalAmount": 1.0,
"status": "sample string 3",
"negotiationDateTime": "2026-03-11T04:42:38.9678203+00:00",
"orderId": 1,
"date": "sample string 5",
"time": "sample string 6",
"customerSupplierId": 1,
"contactId": 1,
"cusomerSupplierName": "sample string 7",
"contactName": "sample string 8",
"orderlineTotalPercentage": 1.0,
"orderTotal": 1.0
},
{
"$ref": "1"
}
]